{
  "name": "@kevisual/center",
  "private": true,
  "version": "0.0.11",
  "type": "module",
  "scripts": {
    "dev": "vite",
    "build": "vite build",
    "build:sky": "cross-env CENTER_ENV=sky vite build",
    "dev:kv": "cross-env VITE_USE_KV=true vite",
    "lint": "eslint .",
    "preview": "vite preview",
    "pub": "envision deploy ./dist -k center -v 0.0.11 -u -o root",
    "turbo:dev": "turbo dev:lib",
    "dev:lib": "turbo dev:lib",
    "dev:query": "turbo dev:lib --filter=@kevisual/query",
    "turbo:build": "turbo build --filter=submodules/**",
    "build:lib": "turbo build --filter=@kevisual/query**"
  },
  "dependencies": {
    "@ant-design/icons": "^6.0.0",
    "@emotion/react": "^11.14.0",
    "@emotion/styled": "^11.14.0",
    "@kevisual/cache": "^0.0.3",
    "@kevisual/codemirror": "workspace:*",
    "@kevisual/components": "workspace:*",
    "@kevisual/container": "1.0.0",
    "@kevisual/query": "^0.0.17",
    "@kevisual/query-config": "workspace:*",
    "@kevisual/query-login": "workspace:*",
    "@kevisual/query-upload": "workspace:*",
    "@kevisual/resources": "workspace:*",
    "@monaco-editor/react": "^4.7.0",
    "@mui/material": "^7.1.0",
    "@stackblitz/sdk": "^1.11.0",
    "@tailwindcss/vite": "^4.1.6",
    "@uiw/react-textarea-code-editor": "^3.1.1",
    "antd": "^5.25.1",
    "clsx": "^2.1.1",
    "copy-to-clipboard": "^3.3.3",
    "dayjs": "^1.11.13",
    "eventemitter3": "^5.0.1",
    "i18next": "^25.1.2",
    "i18next-http-backend": "^3.0.2",
    "immer": "^10.1.1",
    "js-yaml": "^4.1.0",
    "lodash-es": "^4.17.21",
    "marked": "^15.0.11",
    "nanoid": "^5.1.5",
    "qrcode": "^1.5.4",
    "react": "19.1.0",
    "react-dom": "19.1.0",
    "react-dropzone": "^14.3.8",
    "react-hook-form": "^7.56.3",
    "react-i18next": "^15.5.1",
    "react-resizable-panels": "^3.0.1",
    "react-router": "^7.6.0",
    "react-router-dom": "^7.6.0",
    "react-toastify": "^11.0.5",
    "vite-plugin-tsconfig-paths": "^1.4.1",
    "zustand": "^5.0.4"
  },
  "devDependencies": {
    "@eslint/js": "^9.26.0",
    "@types/js-yaml": "^4.0.9",
    "@types/lodash-es": "^4.17.12",
    "@types/node": "^22.15.17",
    "@types/path-browserify": "^1.0.3",
    "@types/qrcode": "^1.5.5",
    "@types/react": "^19.1.3",
    "@types/react-dom": "^19.1.3",
    "@vitejs/plugin-basic-ssl": "^2.0.0",
    "@vitejs/plugin-react": "^4.4.1",
    "autoprefixer": "^10.4.21",
    "cross-env": "^7.0.3",
    "eslint": "^9.26.0",
    "eslint-plugin-react-hooks": "^5.2.0",
    "eslint-plugin-react-refresh": "^0.4.20",
    "globals": "^16.1.0",
    "lucide-react": "^0.509.0",
    "path-browserify": "^1.0.1",
    "postcss-import": "^16.1.0",
    "pretty-bytes": "^7.0.0",
    "react-is": "19.1.0",
    "tailwind-merge": "^3.2.0",
    "tailwindcss": "^4.1.6",
    "tailwindcss-animate": "^1.0.7",
    "turbo": "^2.5.3",
    "typescript": "^5.8.3",
    "typescript-eslint": "^8.32.0",
    "vite": "^6.3.5"
  },
  "packageManager": "pnpm@10.10.0"
}